> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/0resmon-1/geniun-resources/geniun-minigames/events.md).

# Events

Note: All events are client-sided.

#### Alphabet Minigame

```lua
geni-minigames:openAlphabetMinigame:client

TriggerEvent("geni-minigames:openAlphabetMinigame:client", 60, function(success)
    if success then
        print("Alphabet minigame success")
    else
        print("Alphabet minigame failed")
    end
end)
```

#### Sort Numbers Minigame

```lua
geni-minigames:openSortNumbersMinigame:client

TriggerEvent("geni-minigames:openSortNumbersMinigame:client", 60, function(success)
    if success then
        print("Sort numbers minigame success"))
    else
        print("Sort numbers minigame failed")
    end
end)
```

#### Match Numbers Minigame

```lua
geni-minigames:openMatchNumbersMinigame:client

TriggerEvent("geni-minigames:openMatchNumbersMinigame:client", 60, function(success)
    if success then
        print("Match numbers minigame success"))
    else
        print("Match numbers minigame failed")
    end
end)
```

#### Pick Correct Color Minigame

```lua
geni-minigames:openColorChoosingMinigame:client

TriggerEvent("geni-minigames:openColorChoosingMinigame:client", 60, function(success)
    if success then
        print("Color choosing minigame success"))
    else
        print("Color choosing minigame failed")
    end
end)
```

#### Socket Minigame

```lua
geni-minigames:openSocketMinigame:client

TriggerEvent("geni-minigames:openSocketMinigame:client", 60, function(success)
    if success then
        print("Socket minigame success"))
    else
        print("Socket minigame failed")
    end
end)
```

#### Skill Bar Minigame

```lua
geni-minigames:openSkillBarMinigame:client

TriggerEvent("geni-minigames:openSocketMinigame:client", 60, function(success)
    if success then
        print("Skillbar minigame success"))
    else
        print("Skillbar minigame failed")
    end
end)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/geniun-resources/geniun-minigames/events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
